"""
Module contains permissions targets enum.
"""

from enum import Enum


class PermissionsTargets(Enum):
    """
    Enum for face target columns
    """

    standard = 0  #: standard permissions
    custom = 1  #: custom permissions
    all = 2  #: all permissions


class AccountTargets(Enum):
    """
    Enum for accounts targets
    """

    accountId = "account_id"
    login = "login"
    accountType = "account_type"
    description = "description"
    createTime = "create_time"
    lastUpdateTime = "last_update_time"
