"""Visionlabs attributes enums"""

from enum import Enum


class Ethnic(Enum):
    """
    Enum for ethnic.
    """

    africanAmerican: int = 1  #: african american
    indian: int = 2  #: indian
    asian: int = 3  #: asian
    caucasian: int = 4  #: caucasian


class Emotion(Enum):
    """
    Enum for ethnic.
    """

    anger: int = 1  #: anger
    disgust: int = 2  #: disgust
    fear: int = 3  #: fear
    happiness: int = 4  #: happiness
    neutral: int = 5  #: neutral
    sadness: int = 6  #: sadness
    surprise: int = 7  #: surprise


class TemporaryAttributeTargets(Enum):
    """
    Enum for attribute targets for retrieval
    """

    attributeId = "attribute_id"  #: attribute id
    accountId = "account_id"  #: account id
    basicAttributes = "basic_attributes"  #: basic attributes
    faceDescriptorSamples = "face_descriptor_samples"  #: descriptor samples
    faceDescriptor = "face_descriptor"  #: descriptor
    basicAttributesSamples = "basic_attributes_samples"  #: basic attributes samples
    createTime = "create_time"  #: event create time


class TemporaryAttributeMatchTargets(Enum):
    """
    Enum for attribute targets for matching
    """

    attributeId = "attribute_id"  #: attribute id
    accountId = "account_id"  #: account id
    basicAttributes = "basic_attributes"  #: basic attributes
    faceDescriptorSamples = "face_descriptor_samples"  #: descriptor samples
    basicAttributesSamples = "basic_attributes_samples"  #: basic attributes samples
    createTime = "create_time"  #: attribute create time
    similarity = "similarity"  #: similarity [0 .. 1.0]


class Mask(Enum):
    """
    Enum for mask
    """

    missing: int = 1  #: missing
    medicalMask: int = 2  #: medical mask
    occluded: int = 3  #: occluded


class Liveness(Enum):
    """
    Enum for liveness
    """

    spoof: int = 0  #: spoof
    real: int = 1  #: real
    unknown: int = 2  #: unknown


class Deepfake(Enum):
    """
    Enum for deepfake
    """

    fake: int = 0  #: fake
    real: int = 1  #: real


class SleeveLength(Enum):
    """
    Enum for sleeve length
    """

    short: int = 0
    long: int = 1
    undefined: int = 2


class LowerGarmentType(Enum):
    """
    Enum for lower garment types
    """

    undefined: int = 0
    trousers: int = 1
    shorts: int = 2
    skirt: int = 3


class PrimitiveClothingColor(Enum):
    """
    Enum for clothing colors
    """

    undefined: int = 0
    black: int = 1
    white: int = 2
    other: int = 3


class ClothingColor(Enum):
    """
    Enum for clothing colors
    """

    undefined: int = 0
    black: int = 1
    blue: int = 2
    green: int = 3
    gray: int = 4
    orange: int = 5
    purple: int = 6
    red: int = 7
    white: int = 8
    yellow: int = 9
    pink: int = 10
    brown: int = 11
    beige: int = 12
    khaki: int = 13
    multicolored: int = 14
